<div class="dialog-title">
  <h2 mat-dialog-title>Iniciar sesión</h2>
</div>
 
<form [formGroup]="form" (ngSubmit)="login($event)">

  <div class="login-form-field">
    <mat-form-field>
      <mat-label>Usuario</mat-label>
      <input matInput formControlName="username" required>
      <mat-error *ngIf="form.controls.username.hasError('required')">
        El campo está vacío
      </mat-error>
    </mat-form-field>
  </div>


  <div class="login-form-field">
    <mat-form-field>
      <mat-label>Contraseña</mat-label>
      <input matInput formControlName="password" [type]="hide ? 'password' : 'text'" required>
      <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
      </button>
      <mat-error *ngIf="form.controls.password.hasError('required')">
        El campo está vacío
      </mat-error>
    </mat-form-field>
  </div>


  <div class="btn-section">
    <button mat-raised-button type="submit" color="primary" >Sign in</button>
    <button mat-raised-button type="button" (click)="onCancelClick()">Cancelar</button>
  </div>

</form>